Subject: bug#13936: Default to UTF-8 for most Emacs source files

From: Paul Eggert <[email-masked]>
Date: Mon, 18 Mar 2013 13:40:10 -0700

Another thought is to add support for a local variable 'lang'
to specify the language, HTML-style, e.g.:

;; Local Variables:
;; coding: utf-8
;; lang: ja
;; End:

where the "ja" comes from the usual standard list (see Internet BCP 47
and <http://www.iana.org/assignments/language-subtag-registry>).
Emacs could use the language to set charset-priority on a per-file basis.
This would be friendlier to users than the
"eval: (set-charset-priority 'japanese-jisx0208)" approach
that I mentioned earlier.  But it'd be more implementation work.

In the meantime I will propose a stripped-down patch that does not
alter TUTORIAL.ja and the other CJK files; this should avoid the
charset problems that Mr. Handa mentioned.